<?php $__env->startSection('title'); ?> <?php if(isset($pageTitle)): ?> <?php echo e($pageTitle); ?> <?php endif; ?> <?php $__env->stopSection(); ?>
<?php $__env->startSection('main-body'); ?>
    <!-- Start page title -->
    <div class="qz-page-title">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="d-flex justify-content-between align-items-center">
                        <h2><?php echo e(isset($pageTitle) ? $pageTitle : ''); ?></h2>
                        <span class="sidebarToggler">
                            <i class="fa fa-bars d-lg-none d-block"></i>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End page title -->
    <?php echo $__env->make('layout.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Start content area  -->
    <div class="qz-content-area">
        <div class="card add-category">
            <div class="card-body">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-12">
                            <?php echo e(Form::open(['route' => 'teamSave', 'files' => 'true'])); ?>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Member Name')); ?><span class="text-danger">*</span></label>
                                        <input type="text" name="name" <?php if(isset($item)): ?> value="<?php echo e($item->name); ?>" <?php else: ?> value="<?php echo e(old('name')); ?>"
                                               <?php endif; ?> class="form-control" placeholder="<?php echo e(__('Member name')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('name')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo e(__('Category')); ?><span class="text-danger">*</span></label>
                                        <div class="qz-question-category">
                                            <select name="category_id" class="form-control">
                                                <option value=""><?php echo e(__('Select')); ?></option>
                                                <?php if(isset($categories[0])): ?>
                                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option <?php if(isset($item) && ($item->category_id == $key->id)): ?> selected <?php elseif((old('category_id') != null) && (old('category_id') == $key->id)): ?> <?php endif; ?> value="<?php echo e($key->id); ?>"><?php echo e($key->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            </select>
                                        </div>
                                        <span class="text-danger"><strong><?php echo e($errors->first('category_id')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('designation') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Designation')); ?><span class="text-danger">*</span></label>
                                        <input type="text" name="designation" <?php if(isset($item)): ?> value="<?php echo e($item->designation); ?>" <?php else: ?> value="<?php echo e(old('designation')); ?>" <?php endif; ?>
                                            class="form-control" placeholder="<?php echo e(__('Member Designation')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('designation')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo e(__('Status')); ?><span class="text-danger">*</span></label>
                                        <div class="qz-question-category">
                                            <select name="status" class="form-control">
                                                <?php $__currentLoopData = status(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option <?php if(isset($item) && ($item->status == $key)): ?> selected <?php elseif((old('status') != null) && (old('status') == $key)): ?> <?php endif; ?> value="<?php echo e($key); ?>"><?php echo e($value); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <span class="text-danger"><strong><?php echo e($errors->first('status')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('email') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Email')); ?><span class="text-danger"></span></label>
                                        <input type="email" name="email" <?php if(isset($item)): ?> value="<?php echo e($item->email); ?>" <?php else: ?> value="<?php echo e(old('email')); ?>"
                                               <?php endif; ?> class="form-control" placeholder="<?php echo e(__('Member Email Address')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('email')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('facebook') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Facebook Id')); ?><span class="text-danger"></span></label>
                                        <input type="text" name="facebook" <?php if(isset($item)): ?> value="<?php echo e($item->facebook); ?>" <?php else: ?> value="<?php echo e(old('facebook')); ?>" <?php endif; ?>
                                          class="form-control" placeholder="<?php echo e(__('Facebook Id')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('facebook')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('twitter') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Twitter Id')); ?><span class="text-danger"></span></label>
                                        <input type="text" name="twitter" <?php if(isset($item)): ?> value="<?php echo e($item->twitter); ?>" <?php else: ?> value="<?php echo e(old('twitter')); ?>" <?php endif; ?>
                                            class="form-control" placeholder="<?php echo e(__('Twitter Id')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('twitter')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('google') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Google Plus Id')); ?><span class="text-danger"></span></label>
                                        <input type="text" name="google" <?php if(isset($item)): ?> value="<?php echo e($item->google); ?>" <?php else: ?> value="<?php echo e(old('google')); ?>" <?php endif; ?>
                                         class="form-control" placeholder="<?php echo e(__('Google Plus Id')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('google')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('skype') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Skypee Id')); ?><span class="text-danger"></span></label>
                                        <input type="text" name="skype" <?php if(isset($item)): ?> value="<?php echo e($item->skype); ?>" <?php else: ?> value="<?php echo e(old('skype')); ?>"
                                               <?php endif; ?> class="form-control" placeholder="<?php echo e(__('Skypee Id')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('skype')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group <?php echo e($errors->has('linkedin') ? ' has-error' : ''); ?>">
                                        <label><?php echo e(__('Linkedin Id')); ?><span class="text-danger"></span></label>
                                        <input type="text" name="linkedin" <?php if(isset($item)): ?> value="<?php echo e($item->linkedin); ?>" <?php else: ?> value="<?php echo e(old('linkedin')); ?>" <?php endif; ?>
                                            class="form-control" placeholder="<?php echo e(__('Linkedin Id')); ?>">
                                        <span class="text-danger"><strong><?php echo e($errors->first('linkedin')); ?></strong></span>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('Bio')); ?></label>
                                        <textarea name="bio" id="" rows="6" class="form-control"><?php if(isset($item)): ?><?php echo e($item->bio); ?><?php else: ?><?php echo e(old('bio')); ?><?php endif; ?></textarea>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label><?php echo e(__('Thumbnail Image')); ?><span class="text-danger"></span></label>
                                        <div id="file-upload" class="section">
                                            <!--Default version-->
                                            <div class="row section">
                                                <div class="col s12 m12 l12">
                                                    <input name="image" type="file" id="input-file-now" class="dropify" data-default-file="<?php echo e(isset($item) && !empty($item->image) ? $item->image : ''); ?>" />
                                                    <?php if($errors->has('image')): ?>
                                                        <div class="text-danger"><?php echo e($errors->first('image')); ?></div>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                            <!--Default value-->
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <?php if(isset($item)): ?>
                                        <input type="hidden" name="edit_id" value="<?php echo e($item->id); ?>">
                                    <?php endif; ?>
                                    <button type="submit" class="btn btn-primary btn-block add-category-btn">
                                        <?php if(isset($item)): ?> <?php echo e(__('Update')); ?> <?php else: ?> <?php echo e(__('Add New')); ?> <?php endif; ?>
                                    </button>
                                </div>
                            </div>
                            <?php echo e(Form::close()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End content area  -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/ayara/resources/views/admin/team/add.blade.php ENDPATH**/ ?>